Bug 521485 - drm descriptor leak
Summary: drm descriptor leak
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-server
Version: 11
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: X/OpenGL Maintenance List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-06 12:28 UTC by Juha Heljoranta
Modified: 2018-04-11 07:44 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-11-13 19:10:06 UTC


Attachments (Terms of Use)

Description Juha Heljoranta 2009-09-06 12:28:11 UTC
Description of problem:
"lsof -p $xServerPid" shows increase in list of "/drm mm object" lines every time a new kde application is started.

e.g.
# lsof -p $xServerPid 2> /dev/null | grep "/drm mm object" | wc -l
10254
$ kwrite & pid=$! ; sleep 2; kill $pid
# lsof -p $xServerPid 2> /dev/null | grep "/drm mm object" | wc -l
10266

Closing the application doesn't release the resources.

Opening a xterm or gedit doesn't cause any leakage.

This might be a duplicate of bug 487552 and/or a kde bug.

Version-Release number of selected component (if applicable):
xorg-x11-server-Xorg-1.6.1.901-1.fc11.x86_64
kernel-2.6.29.6-217.2.16.fc11.x86_64
xorg-x11-drv-intel-2.7.0-7.fc11.x86_64
kdebase-workspace-4.3.0-9.fc11.x86_64

How reproducible:
Open a new kde application. Terminating the application doesn't release resources. 

Actual results:
Steady increase of "drm mm object" lines in lsof output every time a new kde application is started.

Expected results:
Some what constant amount of "drm mm object" lines in lsof output.

Additional info:
00:02.1 Display controller [0380]: Intel Corporation Mobile GM965/GL960 Integrated Graphics Controller [8086:2a03] (rev 03)
Using kms.

Comment 1 Matěj Cepl 2009-11-05 18:37:33 UTC
Since this bugzilla report was filed, there have been several major updates in various components of the Xorg system, which may have resolved this issue. Users who have experienced this problem are encouraged to upgrade their system to the latest version of their packages. For packages from updates-testing repository you can use command

yum upgrade --enablerepo='*-updates-testing'

Alternatively, you can also try to test whether this bug is reproducible with the upcoming Fedora 12 distribution by downloading LiveMedia of F12 Beta available at http://alt.fedoraproject.org/pub/alt/nightly-composes/ . By using that you get all the latest packages without need to install anything on your computer. For more information on using LiveMedia take a look at https://fedoraproject.org/wiki/FedoraLiveCD .

Please, if you experience this problem on the up-to-date system, let us now in the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[This is a bulk message for all open Fedora Rawhide Xorg-related bugs. I'm adding myself to the CC list for each bug, so I'll see any comments you make after this and do my best to make sure every issue gets proper attention.]

Comment 2 Juha Heljoranta 2009-11-13 17:21:24 UTC
Drm mm objects keep leaking in F11.

Tested after applying latest updates (yum upgrade --enablerepo='*-updates-testing') and reboot.

Reproducing this issue is not as straight forward as before but the leak is still as aggressive as before. It usually takes few minutes while playing with the desktop something like this:
1. open konsole
2. minimize/maximize/resize window
3. move mouse cursor over task bar items and let the popup appear
4. hit alt-tab several times
5. open some other application and toggle some drop down menus
6. close the application
7. toggle konsole menus
8. goto step 1.

I can observe that 
lsof -p $(pidof X) 2> /dev/null | grep -c "drm mm object"
shows increasing amount of drm mm objects. Some times it can take few minutes to make object count increas. In a long run the X virtual memory grows big enough and the system starts to swap heavily.

The problem seems to be fixed in F12 :) Tested with kde-x86_64-20091111.16.iso.

Comment 3 Chris Campbell 2009-11-13 19:10:06 UTC
(In reply to comment #2)

> The problem seems to be fixed in F12 :) Tested with kde-x86_64-20091111.16.iso.  

Juha, per my guidance from mcepl, since you report this issue resolved using Fedora 12, I'm going to close this bug report as CLOSED RAWHIDE. While we understand that the issue remains under Fedora 11, it was been resolved with the updated system. Thank you for your time and efforts in spotting, reporting and testing this issue.


-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers


Note You need to log in before you can comment on or make changes to this bug.